> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/examples/connection-broker-promote-example.md).

# Connection Broker Promote Example

{% code fullWidth="true" %}

```powershell
#Establish a connection with Parallels RAS (Replace Administrator with your RAS root account). 
New-RASSession Administrator
###### FARM CONFIGURATION ######
#Activate Parallels RAS with a valid key (you will have to provide a valid Parallels My Account password). 
Invoke-RASLicenseActivate -Email "myaccount@email.com" -Key "YOUR-LICENSE-KEY"
#Add the backup Connection Broker server. 
New-RASBroker -Server broker.company.dom
#Apply all settings. This cmdlet performs the same action as the Apply button in the RAS console. 
Invoke-RASApply
#Get the list of connection Brokers. 
Get-RASBroker

					
ID      Site ID         Server               Enabled          Standby           Priority
--      ------          ------               ----------       ------------      --------------           
1            1          primary.company.dom  True             False             0
2            1          broker.company.dom       True             False             1
					
#End the current RAS session. 
Remove-RASSession
###### END FARM CONFIGURATION ######
###### TESTING CONNECTION BROKER PROMOTION ######
#Establish a connection with Parallels RAS (Replace Administrator with your RAS root account). 
New-RASSession Administrator -Server "broker.company.dom" -Force
#Get the backup Broker server. 
$BackupBroker = Get-RASBroker -Server broker.company.dom
#Promote backup Broker to primary (you will have to provide a valid Parallels My Account password). 
Invoke-RASBrokerPromoteToPrimary -Id $BackupBroker.Id -Email "myaccount@email.com"
#After the Broker promotion to Primary the session is logged out, then a new session needs to be created. Establish a connection with Parallels RAS (Replace Administrator with your RAS root account). 
New-RASSession Administrator -Server "broker.company.dom" -Force
#Apply all settings. This cmdlet performs the same action as the Apply button in the RAS console. 
Invoke-RASApply
#Get the list of Connection Brokers. 
Get-RASBroker

					
ID      Site ID         Server               Enabled          Standby           Priority
--      ------          ------               ----------       ------------      --------------           
1            1          primary.company.dom  True             False             1
2            1          broker.company.dom   True             False             0
					
#End the current RAS session. 
Remove-RASSession

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/examples/connection-broker-promote-example.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
